#if !defined(AFX_GDIPLUSCONTROLCTL_H__1008791F_0955_4B11_9373_CBB64F887A85__INCLUDED_)
#define AFX_GDIPLUSCONTROLCTL_H__1008791F_0955_4B11_9373_CBB64F887A85__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// GDIPlusControlCtl.h : Declaration of the CGDIPlusControlCtrl ActiveX Control class.

/////////////////////////////////////////////////////////////////////////////
// CGDIPlusControlCtrl : See GDIPlusControlCtl.cpp for implementation.

class CGDIPlusControlCtrl : public COleControl
{
	DECLARE_DYNCREATE(CGDIPlusControlCtrl)

// Constructor
public:
	CGDIPlusControlCtrl();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGDIPlusControlCtrl)
	public:
	virtual void OnDraw(CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid);
	virtual void DoPropExchange(CPropExchange* pPX);
	virtual void OnResetState();
	virtual DWORD GetControlFlags();
	//}}AFX_VIRTUAL

// Implementation
protected:
	bool m_isClicked;
	CPoint m_center;
	~CGDIPlusControlCtrl();

	DECLARE_OLECREATE_EX(CGDIPlusControlCtrl)    // Class factory and guid
	DECLARE_OLETYPELIB(CGDIPlusControlCtrl)      // GetTypeInfo
	DECLARE_PROPPAGEIDS(CGDIPlusControlCtrl)     // Property page IDs
	DECLARE_OLECTLTYPE(CGDIPlusControlCtrl)		// Type name and misc status

// Message maps
	//{{AFX_MSG(CGDIPlusControlCtrl)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

// Dispatch maps
	//{{AFX_DISPATCH(CGDIPlusControlCtrl)
	BOOL m_antiAliased;
	afx_msg void OnAntiAliasedChanged();
	BOOL m_border;
	afx_msg void OnBorderChanged();
	//}}AFX_DISPATCH
	DECLARE_DISPATCH_MAP()

	afx_msg void AboutBox();

// Event maps
	//{{AFX_EVENT(CGDIPlusControlCtrl)
	//}}AFX_EVENT
	DECLARE_EVENT_MAP()

// Dispatch and event IDs
public:
	enum {
	//{{AFX_DISP_ID(CGDIPlusControlCtrl)
	dispidAntiAliased = 1L,
	dispidBorder = 2L,
	//}}AFX_DISP_ID
	};
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GDIPLUSCONTROLCTL_H__1008791F_0955_4B11_9373_CBB64F887A85__INCLUDED)
